javax.visrec.ml.data

## Class DataSets

- java.lang.Object
- - javax.visrec.ml.data.DataSets

    public class DataSets
    extends Object

Utility class that provides commmon operations on data sets

Author:
  zoran

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isBalanced(DataSet<?> dataSet)`
`static <E> DataSet<E>` `normalize(DataSet<E> dataSet, Normalizer norm)`
`static <E> DataSet<E>` `removeDuplicates()`
`static <E> DataSet<E>` `standardize(DataSet<E> dataSet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### normalize

    public static <E> DataSet<E> normalize(DataSet<E> dataSet,
                                           Normalizer norm)

#### standardize

    public static <E> DataSet<E> standardize(DataSet<E> dataSet)

#### removeDuplicates

    public static <E> DataSet<E> removeDuplicates()

#### isBalanced

    public static boolean isBalanced(DataSet<?> dataSet)